Bug 160013

Summary: display RGB histograms in 3 separate diagrams
Product: digikam Reporter: Fabien <fabien.ubuntu>
Component: ImageEditor-CanvasAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: wishlist CC: caulier.gilles, marcel.wiesweg
Priority: NOR    
Version: 2.4.0   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 2.4.0
Attachments: screenshot of sidebar
screenshot of photoshop histograms
patch to display RGB histogram at the same time as photoshop.
Screenshot of new Colors tab from right sidebar
update patch to compile with git master

Description Fabien 2008-03-28 13:06:37 UTC
Version:            (using KDE 3.5.8)
Installed from:    Ubuntu Packages

Hi,

I think it would be very useful to display 3 diagrams (R,G,B) at the same time. The combined view is, imho, not very efficient to see correctly the histogram.
Comment 1 caulier.gilles 2008-03-28 13:15:09 UTC
Fabien,

I not agree to use 3 separate view for that, and for a simple reason : it take too more space.

A better way is to make a semi transparent histogram, like photoshop do for ex. This can be done easily with Qt4.

Marcel, your viewpoint...

Gilles Caulier
Comment 2 Fabien 2008-03-28 14:41:12 UTC
Created attachment 24103 [details]
screenshot of sidebar

screenshot to show sidebar space below histogram
Comment 3 Fabien 2008-03-28 14:43:32 UTC
Gilles, I understand your opinion, but I think it should be configurable.
Look at my screenshot made with 20" wide LCD screen (1680x1050 resolution). There's plenty of space for that...
Even my 2.5" lcd screen camera can display the 3 histograms. I find that so useful that it's a pity to not have it in digiKam.
Comment 4 Fabien 2008-03-28 14:51:12 UTC
Created attachment 24105 [details]
screenshot of photoshop histograms

Here's a screenshot of photoshop histograms
Comment 5 Fabien 2008-03-28 14:52:43 UTC
I added another screenshot of photoshop histograms. I still think displaying 3 different diagrams is much easier to read than having a combined one...
And, it doesn't take some much space :)
Comment 6 Mikolaj Machowski 2008-03-28 22:08:24 UTC
Digikam features should fit into 800x600 window. I think it is possible
but barely.
Comment 7 Marcel Wiesweg 2008-03-29 18:14:54 UTC
My viewpoint: In the default case, just as Mikolaj said, we cannot use three histograms. It is too large.
Transparent drawing in the combined view is a good idea as far as I see.
Three separate histograms as an option? I dont object if there is user demand.
Comment 8 Mikolaj Machowski 2008-03-29 18:57:43 UTC
Please, not another option.
Comment 9 Fabien 2008-03-31 10:35:12 UTC
No need to add another option, we just need another menu entry.
Right now, there's channel :
- luminosity
- Red
- Green
- Blue
- Alpha
- Colors

Just add "RGB channels" and that's it :)
Comment 10 caulier.gilles 2011-01-12 09:59:08 UTC
I like histogram channels selection from RawTherapee :

http://www.flickr.com/photos/digikam/5348758734/sizes/o/in/photostream/

We only just 5 new tool buttons (as histogram scale) to show relevant color channel together :

Luminosity
Red
Green
Blue
Alpha

And that all...

Gilles Caulier
Comment 11 caulier.gilles 2011-11-22 14:51:15 UTC
Created attachment 65936 [details]
patch to display RGB histogram at the same time as photoshop.

The patch display 3 others separate  RGB histogram into Color tab from right  sidebar.

Gilles Caulier
Comment 12 caulier.gilles 2011-11-22 14:52:17 UTC
Created attachment 65937 [details]
Screenshot of new Colors tab from right sidebar
Comment 13 caulier.gilles 2011-11-22 14:55:32 UTC
Please tests and report. My patch is against git/master. Let's me hear if this
solution is suitable for you. It's not configurable.

Gilles Caulier
Comment 14 caulier.gilles 2011-11-24 09:16:04 UTC
No feedback yet about my patch and my screenshot ?

Gilles Caulier
Comment 15 caulier.gilles 2011-11-24 21:59:13 UTC
Created attachment 66052 [details]
update patch to compile with git master
Comment 16 caulier.gilles 2011-11-24 22:08:55 UTC
Comment on attachment 65937 [details]
Screenshot of new Colors tab from right sidebar 

new screenshot of RGB histograms patch in action. 

http://www.flickr.com/photos/digikam/6396713165/sizes/o/in/photostream/
Comment 17 caulier.gilles 2011-11-25 11:52:34 UTC
Git commit f8437b9ac0bba2fea327da9b4465388e74dafa4b by Gilles Caulier.
Committed on 25/11/2011 at 12:50.
Pushed by cgilles into branch 'master'.

Colors tab from right sidebar : display RGB histograms in 3 separate diagrams for better comparison, channel by channel.
BUGS: 160013

M  +5    -6    libs/dimg/filters/levels/histogrambox.cpp
M  +4    -2    libs/dimg/filters/levels/histogrambox.h
M  +6    -0    libs/dimg/filters/levels/histogramwidget.cpp
M  +1    -0    libs/dimg/filters/levels/histogramwidget.h
M  +111  -9    libs/imageproperties/imagepropertiescolorstab.cpp
M  +1    -0    libs/imageproperties/imagepropertiescolorstab.h

http://commits.kde.org/digikam/f8437b9ac0bba2fea327da9b4465388e74dafa4b